> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# talkwalker-streaming

> Talkwalker Streaming - real-time streams, collectors, and export tasks

**Server path:** `/talkwalker-streaming` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                        | Description                                           |
| ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| [`talkwalker_streaming_create_project_stream_results`](#talkwalker_streaming_create_project_stream_results) | Listen on a specific project - POST method            |
| [`talkwalker_streaming_create_stream_results`](#talkwalker_streaming_create_stream_results)                 | Listen a stream - POST method                         |
| [`talkwalker_streaming_delete_collector`](#talkwalker_streaming_delete_collector)                           | Delete a collector                                    |
| [`talkwalker_streaming_delete_export_task`](#talkwalker_streaming_delete_export_task)                       | Abort a task                                          |
| [`talkwalker_streaming_delete_stream`](#talkwalker_streaming_delete_stream)                                 | Delete a stream                                       |
| [`talkwalker_streaming_export_project_stream`](#talkwalker_streaming_export_project_stream)                 | Create a new export taks on a specific project        |
| [`talkwalker_streaming_export_stream`](#talkwalker_streaming_export_stream)                                 | Create a new export task                              |
| [`talkwalker_streaming_export_stream_by_id`](#talkwalker_streaming_export_stream_by_id)                     | Create a new export task based on a stream definition |
| [`talkwalker_streaming_get_collector`](#talkwalker_streaming_get_collector)                                 | Get collector definition                              |
| [`talkwalker_streaming_get_collector_results`](#talkwalker_streaming_get_collector_results)                 | Read a collector                                      |
| [`talkwalker_streaming_get_export_task`](#talkwalker_streaming_get_export_task)                             | Retrieve status of the task                           |
| [`talkwalker_streaming_get_project_stream_results`](#talkwalker_streaming_get_project_stream_results)       | Listen on a specific project                          |
| [`talkwalker_streaming_get_stream`](#talkwalker_streaming_get_stream)                                       | Get stream definition                                 |
| [`talkwalker_streaming_get_stream_info`](#talkwalker_streaming_get_stream_info)                             | List of streams and collectors                        |
| [`talkwalker_streaming_get_stream_results`](#talkwalker_streaming_get_stream_results)                       | Listen a stream                                       |
| [`talkwalker_streaming_list_export_tasks`](#talkwalker_streaming_list_export_tasks)                         | Retrieve all recent tasks status                      |
| [`talkwalker_streaming_pause_collector`](#talkwalker_streaming_pause_collector)                             | Pause a collector                                     |
| [`talkwalker_streaming_resume_collector`](#talkwalker_streaming_resume_collector)                           | Resume a collector                                    |
| [`talkwalker_streaming_update_collector`](#talkwalker_streaming_update_collector)                           | Create or replace a collector                         |
| [`talkwalker_streaming_update_stream`](#talkwalker_streaming_update_stream)                                 | Create or replace a stream                            |

***

## talkwalker\_streaming\_create\_project\_stream\_results

Listen on a specific project - POST method

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                           |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `max_hits`   | integer | No       | —       | Max Hits                                                                                                                                                              |
| `topic`      | string  | No       | —       | One or more topics or panels that are defined in the Talkwalker project.                                                                                              |
| `dataset`    | string  | No       | —       | One or more datasets that are defined in the Talkwalker Customer Intelligence project.                                                                                |
| `filter`     | string  | No       | —       | One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups. |
| `panel`      | string  | No       | —       | One or more source panels that are defined in the Talkwalker project.                                                                                                 |
| `project_id` | string  | Yes      | —       | Project Id                                                                                                                                                            |
| `body`       | object  | No       | —       | Request body                                                                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "max_hits": {
        "type": "integer",
        "description": "Max Hits"
      },
      "topic": {
        "type": "string",
        "description": "One or more topics or panels that are defined in the Talkwalker project."
      },
      "dataset": {
        "type": "string",
        "description": "One or more datasets that are defined in the Talkwalker Customer Intelligence project."
      },
      "filter": {
        "type": "string",
        "description": "One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups."
      },
      "panel": {
        "type": "string",
        "description": "One or more source panels that are defined in the Talkwalker project."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_create\_stream\_results

Listen a stream - POST method

**Parameters:**

| Parameter   | Type    | Required | Default | Description  |
| ----------- | ------- | -------- | ------- | ------------ |
| `max_hits`  | integer | No       | —       | Max Hits     |
| `stream_id` | string  | Yes      | —       | Stream Id    |
| `body`      | object  | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "max_hits": {
        "type": "integer",
        "description": "Max Hits"
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_delete\_collector

Delete a collector

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `collector_id` | string | Yes      | —       | Collector Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_delete\_export\_task

Abort a task

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `task_id` | string | Yes      | —       | Task Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_id": {
        "type": "string",
        "description": "Task Id"
      }
    },
    "required": [
      "PCID",
      "task_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_delete\_stream

Delete a stream

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `stream_id` | string | Yes      | —       | Stream Id   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_export\_project\_stream

Create a new export taks on a specific project

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_export\_stream

Create a new export task

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `body`    | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_export\_stream\_by\_id

Create a new export task based on a stream definition

**Parameters:**

| Parameter   | Type   | Required | Default | Description  |
| ----------- | ------ | -------- | ------- | ------------ |
| `stream_id` | string | Yes      | —       | Stream Id    |
| `body`      | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_collector

Get collector definition

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `collector_id` | string | Yes      | —       | Collector Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_collector\_results

Read a collector

**Parameters:**

| Parameter       | Type   | Required | Default | Description                                                                                                                                                                       |
| --------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `resume_offset` | string | No       | —       | position to resume the data access from. Can be retrieved from control chunks. Allowed values: earliest, latest or the resume\_token from control\_chunk. Default value: earliest |
| `end_behaviour` | string | No       | —       | what to do when we reached the most recent result. Allowed values: stop or wait. Default value: wait.                                                                             |
| `collector_id`  | string | Yes      | —       | Collector Id                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "resume_offset": {
        "type": "string",
        "description": "position to resume the data access from. Can be retrieved from control chunks. Allowed values: earliest, latest or the resume_token from control_chunk. Default value: earliest"
      },
      "end_behaviour": {
        "type": "string",
        "description": "what to do when we reached the most recent result. Allowed values: stop or wait. Default value: wait."
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_export\_task

Retrieve status of the task

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `task_id` | string | Yes      | —       | Task Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_id": {
        "type": "string",
        "description": "Task Id"
      }
    },
    "required": [
      "PCID",
      "task_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_project\_stream\_results

Listen on a specific project

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                           |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `q`          | string  | No       | —       | The query to search for                                                                                                                                               |
| `max_hits`   | integer | No       | —       | Stops the stream after the given number of hits. If not set, it never stops.                                                                                          |
| `topic`      | string  | No       | —       | One or more topics or panels that are defined in the Talkwalker project.                                                                                              |
| `dataset`    | string  | No       | —       | One or more datasets that are defined in the Talkwalker Customer Intelligence project.                                                                                |
| `filter`     | string  | No       | —       | One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups. |
| `panel`      | string  | No       | —       | One or more source panels that are defined in the Talkwalker project.                                                                                                 |
| `project_id` | string  | Yes      | —       | Project Id                                                                                                                                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "q": {
        "type": "string",
        "description": "The query to search for"
      },
      "max_hits": {
        "type": "integer",
        "description": "Stops the stream after the given number of hits. If not set, it never stops."
      },
      "topic": {
        "type": "string",
        "description": "One or more topics or panels that are defined in the Talkwalker project."
      },
      "dataset": {
        "type": "string",
        "description": "One or more datasets that are defined in the Talkwalker Customer Intelligence project."
      },
      "filter": {
        "type": "string",
        "description": "One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups."
      },
      "panel": {
        "type": "string",
        "description": "One or more source panels that are defined in the Talkwalker project."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_stream

Get stream definition

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `stream_id` | string | Yes      | —       | Stream Id   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_stream\_info

List of streams and collectors

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_get\_stream\_results

Listen a stream

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                  |
| ----------- | ------- | -------- | ------- | ---------------------------------------------------------------------------- |
| `q`         | string  | No       | —       | The query to search for                                                      |
| `max_hits`  | integer | No       | —       | Stops the stream after the given number of hits. If not set, it never stops. |
| `stream_id` | string  | Yes      | —       | Stream Id                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "q": {
        "type": "string",
        "description": "The query to search for"
      },
      "max_hits": {
        "type": "integer",
        "description": "Stops the stream after the given number of hits. If not set, it never stops."
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_list\_export\_tasks

Retrieve all recent tasks status

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_pause\_collector

Pause a collector

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `collector_id` | string | Yes      | —       | Collector Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_resume\_collector

Resume a collector

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `collector_id` | string | Yes      | —       | Collector Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_update\_collector

Create or replace a collector

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `collector_id` | string | Yes      | —       | Collector Id |
| `body`         | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "collector_id": {
        "type": "string",
        "description": "Collector Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "collector_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_streaming\_update\_stream

Create or replace a stream

**Parameters:**

| Parameter   | Type   | Required | Default | Description  |
| ----------- | ------ | -------- | ------- | ------------ |
| `stream_id` | string | Yes      | —       | Stream Id    |
| `body`      | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "stream_id": {
        "type": "string",
        "description": "Stream Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "stream_id"
    ]
  }
  ```
</Expandable>
